<?php
/**
 * Createing an principle disck pannel for customizer
 */

// START PRINCIPLE DISCK SECTION 
    $wp_customize->add_section(
        'lz_fitness_premium_principle_disck_section',
        array(
            'title' => __( 'Principle Disck Section', 'gurukul' ),
            'panel' => 'lz_fitness_premium_home_panel'
        )
    );
    // ENABLE/DISABLE FEATURED SECTION
    $wp_customize->add_setting(
        'lz_fitness_premium_principle_disck_section_disable',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text',
        )
    );
    $wp_customize->add_control(
        new lz_fitness_Switch_Control(
            $wp_customize,
            'lz_fitness_premium_principle_disck_section_disable',
            array(
                'settings'      => 'lz_fitness_premium_principle_disck_section_disable',
                'section'       => 'lz_fitness_premium_principle_disck_section',
                'label'         => __( 'Disable Section', 'gurukul' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'gurukul' ),
                    'off' => __( 'No', 'gurukul' )
                ),
            )
        )
    );

    // Manage the background SECTION
    $wp_customize->add_setting(
        'lz_fitness_principle_disck_title_heading1',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new lz_fitness_Customize_Heading(
            $wp_customize,
            'lz_fitness_principle_disck_title_heading1',
            array(
                'settings'      => 'lz_fitness_principle_disck_title_heading1',
                'section'       => 'lz_fitness_premium_principle_disck_section',
                'label'         => __( 'Manage background', 'gurukul' ),
            )
        )
    );
    $wp_customize->add_setting(
        'lz_fitness_premium_principle_disck_section_background',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text',
        )
    );
    $wp_customize->add_control(
        new lz_fitness_Switch_Control(
            $wp_customize,
            'lz_fitness_premium_principle_disck_section_background',
            array(
                'settings'      => 'lz_fitness_premium_principle_disck_section_background',
                'section'       => 'lz_fitness_premium_principle_disck_section',
                'label'         => __( 'Manage background by', 'gurukul' ),
                'on_off_label'  => array(
                    'on' => __( 'Image', 'gurukul' ),
                    'off' => __( 'Color', 'gurukul' )
                ),
            )
        )
    );
    $wp_customize->add_setting(
        'lz_fitness_principle_disck_bg_color',
        array(
            'default'           => '#fff',
            'sanitize_callback' => 'sanitize_hex_color',
            'priority' => 1
        )
    );
    $wp_customize->add_control(
        new WP_Customize_Color_Control(
            $wp_customize,
            'lz_fitness_principle_disck_bg_color',
            array(
                'settings'      => 'lz_fitness_principle_disck_bg_color',
                'section'       => 'lz_fitness_premium_principle_disck_section',
                'label'         => __( 'Background Color ', 'gurukul' ),
            )
        )
    );
    $wp_customize->add_setting(
        'lz_fitness_principle_disck_bg_image',
        array(
            'sanitize_callback' => 'esc_url_raw'
        )
    );
    $wp_customize->add_control(
        new WP_Customize_Image_Control(
            $wp_customize,
            'lz_fitness_principle_disck_bg_image',
            array(
                'section' => 'lz_fitness_premium_principle_disck_section',
                'settings' => 'lz_fitness_principle_disck_bg_image',
                'label' => __( 'Background Image ', 'gurukul' ),
                'description' => __('Recommended Image Size: 1900X600px', 'gurukul')
            )
        )
    );

    $wp_customize->add_setting(
        'lz_fitness_principle_disck_title_heading',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new lz_fitness_Customize_Heading(
            $wp_customize,
            'lz_fitness_principle_disck_title_heading',
            array(
                'settings'      => 'lz_fitness_principle_disck_title_heading',
                'section'       => 'lz_fitness_premium_principle_disck_section',
                'label'         => __( 'ABOUT Title & Text', 'gurukul' ),
            )
        )
    );    
    $wp_customize->add_setting(
        'lz_fitness_principle_disck_title',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text',
            'default'           => __( 'Who We Are', 'gurukul' )
        )
    );
    $wp_customize->add_control(
        'lz_fitness_principle_disck_title',
        array(
            'settings'      => 'lz_fitness_principle_disck_title',
            'section'       => 'lz_fitness_premium_principle_disck_section',
            'type'          => 'text',
            'label'         => __( 'Title for section', 'gurukul' )
        )
    );
    lzAddElement($wp_customize, 'lz_fitness_principle_disck_subTitle', 'lz_fitness_premium_principle_disck_section', 'textarea', $label="Sub Title", 'lz_fitness_sanitize_text', 'Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat');

    $wp_customize->add_setting(
        'lz_fitness_principle_disck_text',
        array(
            'sanitize_callback'=>'lz_fitness_sanitize_text',
            'default'=> __('Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat', 'gurukul')
        )
    );
    $wp_customize->add_control(
        'lz_fitness_principle_disck_text',
        array(
            'settings' =>'lz_fitness_principle_disck_text',
            'section' => 'lz_fitness_premium_principle_disck_section',
            'type'=> 'textarea',
            'label'=> __('Content for the section', 'gurukul')
        )
    );
    $wp_customize->add_setting(
        'lz_fitness_principle_disck_page',
        array(
            'sanitize_callback'=> 'absint',
            'default' => __('Principle disck Page Readmore Link', 'gurukul')
        )
    );
    $wp_customize->add_control(
        'lz_fitness_aboutus_page',
        array(
            'settings'=> 'lz_fitness_principle_disck_page',
            'section' => 'lz_fitness_premium_principle_disck_section',
            'type'=>'select',
            'label'=>__('Link to Principle disck page', 'gurukul'),
            'choices'=>$lz_fitness_page_choice
        )
    );

    // Heading color
    addColorPalatOption($wp_customize, 'lz_fitness_principle_disck_page_HeadingColor', 'lz_fitness_premium_principle_disck_section', 'Heading color', $headingColor);
    // Text color
    addColorPalatOption($wp_customize, 'lz_fitness_principle_disck_page_TextColor', 'lz_fitness_premium_principle_disck_section', 'Text color', '#333333');

    $wp_customize->add_setting(
        'lz_fitness_principle_disck_image_heading',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new lz_fitness_Customize_Heading(
            $wp_customize,
            'lz_fitness_principle_disck_image_heading',
            array(
                'settings'      => 'lz_fitness_principle_disck_image_heading',
                'section'       => 'lz_fitness_premium_principle_disck_section',
                'label'         => __( 'Right Image', 'gurukul' ),
            )
        )
    );
    $wp_customize->add_setting(
        'lz_fitness_principle_disck_image',
        array(
            'sanitize_callback' => 'esc_url_raw'
        )
    );
    $wp_customize->add_control(
        new WP_Customize_Image_Control(
            $wp_customize,
            'lz_fitness_principle_disck_image',
            array(
                'section' => 'lz_fitness_premium_principle_disck_section',
                'settings' => 'lz_fitness_about_image',
                'description' => __('Recommended Image Size: 500X600px', 'gurukul')
            )
        )
    );
    // END PRINCIPLE DISCK SECTION 